#!/bin/sh
#
# Simple shell-based installer for Pypthon modules.
MODNAME="fsattr"
INSTALL_DIR=/boot/home/config/lib/python2.1/BeOS

WHERE_AM_I="$(dirname $0)"

if alert --info "This will install the Python ${MODNAME} module." "Cancel" "Install" > /dev/null ; then
	exit 0
fi

# It'd be better to use the find_directory module for this... oh well.
if [ ! -d $INSTALL_DIR ] ; then
	mkdir -p $INSTALL_DIR
fi

# Now copy those files...
copyattr -d ${WHERE_AM_I}/${MODNAME}module.so ${INSTALL_DIR}/${MODNAME}module.so
copyattr -d ${WHERE_AM_I}/__init__.py ${INSTALL_DIR}/__init__.py

alert --info "Done!"
